# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_SequenceOfFuzzyDefinitions Class Reference

`#include <Dynamic_SequenceOfFuzzyDefinitions.hxx>`

Inheritance diagram for Dynamic_SequenceOfFuzzyDefinitions:

[legend]

## Public Member Functions

| Dynamic_SequenceOfFuzzyDefinitions ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Dynamic_FuzzyDefinition)&anItem)
Standard_EXPORT void | Append (const Handle(Dynamic_SequenceOfFuzzyDefinitions)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Dynamic_FuzzyDefinition)&anItem)
Standard_EXPORT void | Prepend (const Handle(Dynamic_SequenceOfFuzzyDefinitions)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Dynamic_FuzzyDefinition)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Dynamic_SequenceOfFuzzyDefinitions)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Dynamic_FuzzyDefinition)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Dynamic_SequenceOfFuzzyDefinitions)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Dynamic_SequenceOfFuzzyDefinitions | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Dynamic_FuzzyDefinition)&anItem)
Standard_EXPORT const Handle_Dynamic_FuzzyDefinition & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Dynamic_FuzzyDefinition & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Dynamic_SeqOfFuzzyDefinitions & | Sequence () const
Dynamic_SeqOfFuzzyDefinitions & | ChangeSequence ()
Standard_EXPORT Handle_Dynamic_SequenceOfFuzzyDefinitions | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Dynamic_SeqOfFuzzyDefinitions | mySequence

## Constructor & Destructor Documentation

Dynamic_SequenceOfFuzzyDefinitions::Dynamic_SequenceOfFuzzyDefinitions | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Append | ( | const Handle(Dynamic_SequenceOfFuzzyDefinitions)& | aSequence | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Append | ( | const Handle(Dynamic_FuzzyDefinition)& | anItem | ) |

Dynamic_SeqOfFuzzyDefinitions& Dynamic_SequenceOfFuzzyDefinitions::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Dynamic_FuzzyDefinition& Dynamic_SequenceOfFuzzyDefinitions::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Clear | ( |  | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Dynamic_SequenceOfFuzzyDefinitions::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Dynamic_SequenceOfFuzzyDefinitions)& | aSequence
| ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Dynamic_FuzzyDefinition)& | anItem
| ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Dynamic_SequenceOfFuzzyDefinitions)& | aSequence
| ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Dynamic_FuzzyDefinition)& | anItem
| ) |

Standard_Boolean Dynamic_SequenceOfFuzzyDefinitions::IsEmpty | ( |  | ) | const

Standard_Integer Dynamic_SequenceOfFuzzyDefinitions::Length | ( |  | ) | const

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Prepend | ( | const Handle(Dynamic_SequenceOfFuzzyDefinitions)& | aSequence | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Prepend | ( | const Handle(Dynamic_FuzzyDefinition)& | anItem | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::Reverse | ( |  | ) |

const Dynamic_SeqOfFuzzyDefinitions& Dynamic_SequenceOfFuzzyDefinitions::Sequence | ( |  | ) | const

Standard_EXPORT void Dynamic_SequenceOfFuzzyDefinitions::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Dynamic_FuzzyDefinition)& | anItem
| ) |

Standard_EXPORT Handle_Dynamic_SequenceOfFuzzyDefinitions Dynamic_SequenceOfFuzzyDefinitions::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Dynamic_SequenceOfFuzzyDefinitions Dynamic_SequenceOfFuzzyDefinitions::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Dynamic_FuzzyDefinition& Dynamic_SequenceOfFuzzyDefinitions::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Dynamic_SeqOfFuzzyDefinitions Dynamic_SequenceOfFuzzyDefinitions::mySequence `[private]`

The documentation for this class was generated from the following file:

- Dynamic_SequenceOfFuzzyDefinitions.hxx